package com.ruoyi.common.constant;

/**
 * 岗检责任制清单枚举
 */
public enum PostListEnum {

    //状态：0-待提交；1-待审核；2-审核中；3-通过；4-驳回；
    STATUS_WAIT_SUBMIT("待提交", 0),
    STATUS_WAIT("待审核", 1),
    STATUS_ING("审核中", 2),
    STATUS_PASS("通过；", 3),
    STATUS_BACK("驳回；", 4),


//    1-业务职责（人力资源部）
//    2-党建及党风廉政建设职责（党建工作部）
//    3-安全环保职责（健康安全环保中心）
//    4-合规保密职责（内控法务部&办公室）
//    5-任职资格与能力素质要求（不需要审核）

    TYPE_ONE("业务职责（人力资源部）", 1),
    TYPE_TWO("党建及党风廉政建设职责（党建工作部）", 2),
    TYPE_THREE("安全环保职责（健康安全环保中心）", 3),
    TYPE_FOUR("合规保密职责（内控法务部&办公室）", 4),
    TYPE_FIVE("任职资格与能力素质要求（不需要审核）", 5),

    TYPE_SIX("岗位责任制文件完整性与适宜性（系统默认添加）", 6);

    private String name;
    private Integer value;

    PostListEnum(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public static String getTypeView(int type) {
        switch (type) {
            case 1:
                return "业务职责";
            case 2:
                return "党建及党风廉政建设职责";
            case 3:
                return "安全环保职责";
            case 4:
                return "合规保密职责";
            case 5:
                return "任职资格与能力素质要求";
            case 6:
                return "岗位责任制文件完整性与适宜性";
            default:
                return "Other";

        }
    }


}
